=== debian/changelog ===
cowdancer (0.10) unstable; urgency=low

  * fixed pthread race condition.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 14 Jan 2006 22:28:03 +0900

cowdancer (0.9) unstable; urgency=low

  * Reorder the flow of execution for the case when /lib/ld.so binary is
    written to; I cannot fork/exec shared binaries while modifying ld.so.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Jan 2006 00:48:17 +0900

cowdancer (0.8) unstable; urgency=low

  * speed improvement when handling ilist file; when handling linux kernel
    source tree, performance degradation was around 6x in 0.7, but it's
    now 1.1x on my test system.
  - Use mmap and binary data format  
  - Use qsort/bsearch on this data format.
  * update README.Debian.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  7 Jan 2006 11:56:06 +0900

cowdancer (0.7) unstable; urgency=low

  * Work around stat change with coreutils 5.3.0 and later
  * Fix testsuite
  * COWDANCER_DEBUG environmental variable enables debug messages.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 23 Nov 2005 14:08:51 +0900

cowdancer (0.6) unstable; urgency=low

  * add chmod/chown support. (closes: #329383)
  - does not fully support fchmod/fchown, 
    apt/dpkg apparently uses that operation.
    will need to investigate further.
  - debian/TODO: added
  * Clear memory before use on ilist; fixes problem on ppc.

 -- Junichi Uekawa <dancer@debian.org>  Wed,  2 Nov 2005 09:07:01 +0900

cowdancer (0.5) unstable; urgency=low

  * cowdancer: cow-shell does not start, gives error (closes: #329344)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Sep 2005 22:54:34 +0900

cowdancer (0.4) unstable; urgency=low

  * added some error checking 
  * Initial upload to Debian archive (closes: #325370)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Aug 2005 08:36:07 +0900

cowdancer (0.3) unstable; urgency=low

  * add testsuite.
  * find -xdev to avoid looking into /proc
  * Try not to COW device files, only handle regular files
  * symlinks support
  * trap fopen/fopen64 as well as open/open64.
  - enough features to run pbuilder 0.130

 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Aug 2005 10:10:47 +0900

cowdancer (0.2) unstable; urgency=low

  * Fix buffer overflow.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Aug 2005 21:38:22 +0900

cowdancer (0.1) unstable; urgency=low

  * Initial Release

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Aug 2005 21:08:03 +0900
