=== debian/control ===
Source: cowdancer
Section: utils
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.2

Package: cowdancer
Architecture: any
Depends: ${shlibs:Depends}
Description: Copy-on-write directory tree utility.
 Tries to make copy-on-write semantics upon hard-link copied
 directory trees generated with 'cp -la'
 .
 'cow-shell' command invokes a shell session. Within that session,
 under the directory cow-shell was invoked, 
 cowdancer will create a new file when existing i-nodes are opened for 
 write.
 .
 Useful for quick scratch workspace and experimentation.
