## cowdancer 0.23~bpo.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BINARY=libcowdancer.so cow-shell
+BINARY=libcowdancer.so cow-shell cowbuilder
 INSTALL_DIR=install -d -o root -g root -m 755
 INSTALL_FILE=install -o root -g root -m 644
 INSTALL_PROGRAM=install -o root -g root -m 755
@@ -10,14 +10,19 @@
 install: $(BINARY)
 	$(INSTALL_DIR) $(DESTDIR)/usr/lib/cowdancer/
 	$(INSTALL_DIR) $(DESTDIR)/usr/share/man/man1/
+	$(INSTALL_DIR) $(DESTDIR)/usr/share/man/man8/
 	$(INSTALL_FILE)  cow-shell.1 $(DESTDIR)/usr/share/man/man1/cow-shell.1
+	$(INSTALL_FILE)  cowbuilder.8 $(DESTDIR)/usr/share/man/man8/cowbuilder.8
 	$(INSTALL_FILE)  libcowdancer.so $(DESTDIR)/usr/lib/cowdancer/libcowdancer.so
 	$(INSTALL_PROGRAM) cow-shell $(DESTDIR)/usr/bin/cow-shell
+	$(INSTALL_PROGRAM) cowbuilder $(DESTDIR)/usr/sbin/cowbuilder
 
 libcowdancer.so: cowdancer.lo
 	gcc -ldl -shared -o $@ $<
 
 cow-shell: cow-shell.o
+
+cowbuilder: cowbuilder.o
 
 %.lo: %.c
 	gcc -D_REENTRANT -fPIC $< -o $@ -c -Wall -O2 -g
@@ -26,7 +31,7 @@
 	gcc $< -o $@ -c -Wall -O2 -g 
 
 clean: 
-	-rm *~ *.o *.lo $(BINARY)
+	-rm -f *~ *.o *.lo $(BINARY)
 
 upload-dist-all:
 	scp ../cowdancer_$(VERSION).tar.gz viper2.netfort.gr.jp:public_html/software/downloads
