=== debian/changelog ===
cowdancer (0.23~bpo.1) sarge-backports; urgency=low

  * Rebuild for Backports.org

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 13 Nov 2006 22:11:32 +0100

cowdancer (0.23) unstable; urgency=low

  * cowbuilder --update ignored command-line options; fix.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 31 Aug 2006 07:30:23 +0900

cowdancer (0.22) unstable; urgency=low

  * Bug fix: "cowdancer: documentation fix to document that
    --debootstrapopts etc can be used with cowbuilder", thanks to Pierre
    Habouzit (Closes: #384030).
  * update README.Debian

 -- Junichi Uekawa <dancer@debian.org>  Sat, 26 Aug 2006 09:07:25 +0900

cowdancer (0.21) unstable; urgency=low

  * Do not clean up if return code from pbuilder looks wrong.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 20 Aug 2006 15:08:43 +0900

cowdancer (0.20) unstable; urgency=low

  * Bug fix: "cowdancer: cowbuilder removes base.cow after failed
    --update", thanks to Jorda Polo (Closes: #379797).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 26 Jul 2006 08:35:42 +0900

cowdancer (0.19) unstable; urgency=low

  * actually support --buildplace and fix --basepath. Thanks to Jonas
    Smedegaard for the patch.  (closes: #375019)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 27 Jun 2006 00:07:08 +0900

cowdancer (0.18) unstable; urgency=low

  * cow-shell: COWDANCER_REUSE=yes: reuse .ilist instead of regenerating.
  * cowbuilder: use COWDANCER_REUSE=yes option to avoid excessive call to
    find/xargs. Speeds up pbuilder-satisfydepends considerably, making
    cowbuilder build faster.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Jun 2006 08:34:39 +0900

cowdancer (0.17) unstable; urgency=low

  * mkdir with right permission 0777, not 777.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Jun 2006 08:36:43 +0900

cowdancer (0.16) unstable; urgency=low

  * add test case for sid/etc debootstrap with cdebootstrap and
    debootstrap.
  * Avoid unneeded cowlinkbreak when hardlink number is 1. Caused some
    problems with dpkg-gencontrol. (Closes: #369261).
  * Standards-version: 3.7.2
  * Error out when there is no file in directory to cowprotect.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 11 Jun 2006 15:04:49 +0900

cowdancer (0.15) unstable; urgency=low

  * cowbuilder: give out help message
  * Bug fix: "cowbuilder silently ignore --basepath option if argument
    does not exists", thanks to Marco Nenciarini (Closes: #369220).
  * Bug fix: "manpage for cowbuilder speaks about nonexistent --basetgz
    option", thanks to Marco Nenciarini (Closes: #369211).
  * Bug fix: "cowdancer: cowbuilder fails after invocation of `pbuilder
    clean`", thanks to Edward J. Shornock (Closes: #369258).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 29 May 2006 07:24:07 +0900

cowdancer (0.14) unstable; urgency=low

  * Welcome to cowbuilder, which can be used along with pbuilder.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 26 May 2006 06:32:21 +0900

cowdancer (0.13) unstable; urgency=low

  * use exec instead of system, so that it will work with ' and spaces.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  5 Mar 2006 22:58:16 +0900

cowdancer (0.12) unstable; urgency=low

  * add support for space in filenames.
  - Bug fix: "cowdancer: dpatches with spaces in their name fail to
    apply", thanks to Paul Wise (Closes: #355358).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  5 Mar 2006 19:31:34 +0900

cowdancer (0.11) unstable; urgency=low

  * add error-handling

 -- Junichi Uekawa <dancer@debian.org>  Thu, 26 Jan 2006 08:14:22 +0900
