=== debian/changelog ===
cowdancer (0.25) unstable; urgency=low

  * Bug fix: "cowdancer: Better explain how to use cowbuilder to build
    packages", thanks to Nelson A. de Oliveira (Closes: #405090).
  * Bug fix: "cowdancer: cannot build gnustep-base with cowbuilder",
    thanks to Hubert Chan (Closes: #402669).
    Do not canonicalize lchown.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Dec 2006 15:54:09 +0900

cowdancer (0.24) unstable; urgency=low

  * testsuite update
  * Bug fix: "--save-after-login hardlinks aptcache contents in base.cow",
    thanks to Matti Lindell (Closes: #384132).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 23 Nov 2006 15:00:59 +0900
