=== debian/changelog ===
cowdancer (0.41) unstable; urgency=low

  * Bug fix: "qemubuilder: build of package failing due to date problems",
    thanks to Jean-Baptiste Note (Closes: #441132).
  * Bug fix: "newly created cowdancer chroot cannot be updated", thanks to
    Paul Wise (Closes: #441463).
  - there was a race condition with .ilist handling.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 10 Sep 2007 19:50:31 +0900

cowdancer (0.40) unstable; urgency=low

  * Bug fix: "cowdancer: Should remove base directory when failed to
    create it", thanks to Nelson A. de Oliveira (Closes: #440651).
  * cow-shell: if COWDANCER_REUSE is not set, remove .ilist file after use.
    (Closes: #350268).
  * Bug fix: "cowdancer: <sys/types.h> needed in cowdancer-ilistcreate.c
    for Etch backport", thanks to Sven Hartge (Closes: #440879).
  * update qemubuilder README.Debian 
  * Don't assume network is always available as 'eth0', and try to find
    out. patch thanks to Jean-Baptiste Note (Closes: #440888).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 07 Sep 2007 08:29:31 +0900

cowdancer (0.39) unstable; urgency=low

  * Bug fix: "qemubuilder: Problem when non-US locale", thanks to
    Jean-Baptiste Note (Closes: #440558).
  * Give fd0 directly to qemu to allow tty control.
  * Handle exit codes.
  * apply patch to more easily handle newer architecture support, 
    thanks to Jean-Baptiste Note: #440555

 -- Junichi Uekawa <dancer@debian.org>  Tue, 04 Sep 2007 08:31:55 +0900

cowdancer (0.38) unstable; urgency=low

  [ Jan-Marek Glogowski ] 
  * Don't clean the environment when invoking dumpconfig 
  (closes: #431993)
  * Better error handling when loading config

  [ Junichi Uekawa ]
  * add aptitude into chroot for pbuilder-satisfydepends-aptitude.
  * add cowdancer-ilistcreate command, which creates ilist file.
  * add cowdancer-ilistdump command, for debugging purposes. It was
    included in the testsuite, but it is generally useful for
    troubleshooting.
  * run cowdancer-ilistcreate within chroot if it exists
  - Bug fix: "cowbuilder cross-arch building support."
    (Closes: #432573).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 01 Sep 2007 13:10:45 +0900

cowdancer (0.37) unstable; urgency=low

  * Trying to fix: "tar segfaulting within cowbuilder chroot", thanks to Michael
    Ablassmeier (closes: #430636).
  - work around glibc bug on dlvsym/dlerror failure case.
  * close mmap fd after use.
  
 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Jun 2007 07:12:20 +0900

cowdancer (0.36) unstable; urgency=low

  * fix logic for running amd64 on i386.
  * add example for cowbuilder manpage.
  * add --dumpconfig option.
  * Bug fix: "cowbuilder ignores BUILDPLACE", thanks to Guido Guenther
    (Closes: #429058).
  * Bug fix: "qemubuilder: --distribution is not honored", thanks to Ben
    Voui (Closes: #429026).
  * load proper chown for architectures (e.g. i386) which have two
    versions of chown.
  * Bug fix: "qemubuilder: manpage talks of cowbuilder instead of
    qemubuilder", thanks to Ben Voui (Closes: #428959).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Jun 2007 21:26:02 +0900

cowdancer (0.35) unstable; urgency=low

  * add README.Debian to qemubuilder.
  * libcowdancer: change exported symbol names to be less generic.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 09 Jun 2007 22:37:45 +0900

cowdancer (0.34) unstable; urgency=low

  * qemubuilder: fix segv.
  * Bug fix: "big bind mounts make login take a looong time", thanks to
    Joey Hess (Closes: #410723).  
  
    Special-case ./home/ so that it's not scanned for cowbuilder. Usually,
    only the filesystem outside of /home is interesting for cowbuilder
    sessions.
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 09 Jun 2007 15:16:07 +0900

cowdancer (0.33) unstable; urgency=low

  * qemubuilder: support signed .dsc files
  * qemubuilder: install to /usr/sbin/ instead of /usr/bin.
   (Closes: #427786).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 Jun 2007 21:00:46 +0900

cowdancer (0.32) unstable; urgency=low

  * Try again, call debhelper with '-s' so that it doesn't try to build
    everything on all architectures (Closes: #427650).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 Jun 2007 08:11:54 +0900

cowdancer (0.31) unstable; urgency=low

  * cowbuilder: pass --configfile option through to pbuilder.
  * cowbuilder, qemubuilder: reorganize code, to put shared code into
    parameter.[ch]

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 Jun 2007 07:54:24 +0900

cowdancer (0.30) unstable; urgency=low

  * Bug fix: "FTBFS: cowdancer_0.29(alpha/unstable): b-d on qemu not
    satisfiable on all archs", thanks to Steve Langasek (Closes: #427650).
    only build on i386, amd64, and powerpc.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 05 Jun 2007 22:50:30 +0900

cowdancer (0.29) unstable; urgency=low

  * qemubuilder, cowbuilder: 'set -e' when sourcing configuration file.
  * Build-Depend on qemu, which is needed for testing.
  
 -- Junichi Uekawa <dancer@debian.org>  Tue, 05 Jun 2007 21:12:02 +0900

cowdancer (0.28) unstable; urgency=low

  * qemubuilder: add example pbuilderrc and document ARCH= option in
    manpage.
  * Build-Depend on pbuilder, since cowbuilder/qemubuilder testsuite
    requires pbuilder to run.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 04 Jun 2007 07:28:22 +0900

cowdancer (0.27) unstable; urgency=low

  * support configuration files in cowbuilder.
  - fixes: "no easy way to specify an alternative basepath", thanks to
    Guido Guenther (Closes: #426589).
  - change Recommends to Depends on pbuilder, since configuration files
    are provided by pbuilder.
  * add reference to pbuilder documentation from cowbuilder documentation.
  * add qemubuilder package. -- this is more of a prototype, but enjoy.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 May 2007 09:20:22 +0900

cowdancer (0.26) unstable; urgency=low

  * spec file, port to rpm-based systems.

