=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
-Build-Depends: debhelper (>> 4.0.0)
+Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc]
 Standards-Version: 3.7.2
 
 Package: cowdancer
 Architecture: any
-Depends: ${shlibs:Depends}
-Recommends: pbuilder
+Depends: ${shlibs:Depends}, pbuilder
 Description: Copy-on-write directory tree utility.
  Tries to make copy-on-write semantics upon hard-link copied
  directory trees generated with 'cp -la'
@@ -22,3 +21,17 @@
  'cowbuilder' command is a wrapper for pbuilder which allows using 
  pbuilder-like interface over cowdancer environment.
 
+Package: qemubuilder
+Architecture: i386 amd64 powerpc
+Depends: ${shlibs:Depends}, qemu, pbuilder
+Description: pbuilder using QEMU as backend
+ pbuilder implementation for QEMU.
+ .
+ qemubuilder create -- builds QEMU cow base image.
+ . 
+ qemubuilder update -- updates QEMU cow base image.
+ . 
+ qemubuilder build -- builds package inside QEMU cow base image.
+ .
+ Gives a pbuilder interface for emulated cross-building environments
+ using qemu.
