=== debian/changelog ===
cowdancer (0.44) unstable; urgency=low

  * add Vcs-Git, Vcs-Browser.
  * fix invocation to cowdancer-ilistcreate

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Nov 2007 22:47:22 +0900

cowdancer (0.43) unstable; urgency=low

  * make cowbuilder work with pdebuild. --debbuildopts handling was broken
    for cowbuilder. (Closes: #448330).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 28 Oct 2007 23:13:42 +0900

cowdancer (0.42) unstable; urgency=low

  * Bug fix: "cowdancer: Please ship a (basic) bash completion file",
    thanks to Cyril Brulebois (Closes: #446498).
  * --components support.
  * Bug fix: "qemubuilder doesn&#39;t pass --debbuildopts to
    dpkg-buildpackage", thanks to Alexander Gerasiov (Closes: #447510).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Oct 2007 20:18:28 +0900
