=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc]
 Standards-Version: 3.7.2
+Vcs-Git: git://git.debian.org/git/pbuilder/cowdancer.git
+Vcs-Browser: http://git.debian.org/?p=pbuilder/cowdancer.git
 
 Package: cowdancer
 Architecture: any
@@ -23,7 +25,7 @@
 
 Package: qemubuilder
 Architecture: i386 amd64 powerpc
-Depends: ${shlibs:Depends}, qemu, pbuilder
+Depends: ${shlibs:Depends}, qemu, pbuilder (>= 0.174)
 Description: pbuilder using QEMU as backend
  pbuilder implementation for QEMU.
  .
