=== debian/rules ===
--- 
+++ 
@@ -47,8 +47,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/dsh.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/cowdancer
+	dh_movefiles -pqemubuilder --sourcedir=debian/cowdancer
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -56,22 +56,27 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installdocs NEWS
-	dh_installexamples
-	dh_installmenu
-	dh_installman
-	dh_installchangelogs ChangeLog
-	dh_link
-	dh_strip
-	dh_shlibdeps
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_testdir -s 
+	dh_testroot -s 
+	dh_installdocs -s NEWS
+	dh_installexamples -s 
+	dh_installmenu -s 
+	dh_installman -s 
+	dh_installchangelogs -s ChangeLog
+	dh_link -s 
+	dh_strip -s 
+	dh_shlibdeps -s 
+	dh_compress -s 
+	dh_fixperms -s 
+	dh_installdeb -s 
+	dh_gencontrol -s 
+	dh_md5sums -s 
+	dh_builddeb -s 
+
+# (shell-command "cd ../ ; debian/rules debian/qemubuilder.README.Debian")
+debian/qemubuilder.README.Debian:
+	python debian/xmlrpc.py qemubuilder > $@.tmp
+	mv $@.tmp $@
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure debian/qemubuilder.README.Debian
