## cowdancer 0.47~bpo40+1

=== debian/changelog ===
cowdancer (0.47~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Philipp Kern <pkern@debian.org>  Fri, 06 Jun 2008 13:06:13 +0200

cowdancer (0.47) unstable; urgency=low

  * Bug fix: "cowdancer: unexpected WIFEXITED status in waitpid", thanks
    to Andreas Beckmann (Closes: #466709).
    Block SIGCHLD when forking cp.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 20 May 2008 07:58:24 +0900

cowdancer (0.46) unstable; urgency=low

  * make cowbuilder work with cowbuilder in etch.  Bug 410723 will revive,
    so it will need --debian-etch-workaround option to enable.
    "provide cowdancer etch support", thanks to Patrick Winnertz
    (Closes: #481344).
  * Add reference to --no-cowdancer-update option in the error message so
    that it's more obvious. (Closes: #481609).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 18 May 2008 12:24:21 +0900

cowdancer (0.45) unstable; urgency=low

  * cowbuilder, qemubuilder: Give error message when '--build' is invoked
    without .dsc file parameter.  (Closes: #460041).
  * output more useful info on waitpid WIFEXITED debug message.
  * add header to .ilist, so that it is possible to know a little bit more
    about the structure.  Note that upgrade will fail within cowdancer
    session, please re-create chroot, or use the --no-cowdancer-update option:

      Unpacking cowdancer (from .../cowdancer_0.45_amd64.deb) ...
      ERROR: ld.so: object '/usr/lib/cowdancer/libcowdancer.so' from LD_PRELOAD cannot be preloaded: ignored.
      cowdancer: .ilist header unexpected
      cowdancer: .ilist header unexpected
      cowdancer: .ilist header unexpected
      dpkg-split: unable to read part file `/tmp/buildd/qemubuilder_0.45_amd64.deb': Cannot allocate memory
      dpkg: error processing /tmp/buildd/qemubuilder_0.45_amd64.deb (--install):
  * Bug fix: "qemubuilder --create installs many useless? packages",
    thanks to David Bremner (Closes: #476547).
    Do not install recommended packages. 
    Qemubuilder now creates '/etc/apt/apt.conf.d/15pbuilder' in the same
    manner as pbuilder.
  * Bug fix: "qemubuilder: Please add kvm as alternate dependency", thanks
    to Josh Triplett (Closes: #479277).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 12 May 2008 08:47:40 +0900
