## cowdancer 0.48

=== debian/changelog ===
cowdancer (0.48) unstable; urgency=low

  * qemubuilder: add support for armel.
  * qemubuilder: add support for --arch-diskdevice option so that users of
    Ubuntu i386 kernels can override from default hd to sd.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 10 Aug 2008 23:40:39 +0900
