=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 Package: qemubuilder
 Architecture: i386 amd64 powerpc
-Depends: ${shlibs:Depends}, qemu, pbuilder (>= 0.174)
+Depends: ${shlibs:Depends}, qemu | kvm, pbuilder (>= 0.174)
 Description: pbuilder using QEMU as backend
  pbuilder implementation for QEMU.
  .
