## cowdancer 0.56ubuntu3

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+SHELL=/bin/bash
 BINARY=libcowdancer.so cow-shell cowbuilder qemubuilder cowdancer-ilistcreate \
 	cowdancer-ilistdump
 INSTALL_DIR=install -d -o root -g root -m 755
@@ -6,6 +7,10 @@
 DESTDIR=
 PREFIX=/usr
 LIBDIR=$(PREFIX)/lib
+CFLAGS=-O2 -Wall -g -fno-strict-aliasing -D_REENTRANT
+CFLAGS_LFS=$(CFLAGS) $(shell getconf LFS_CFLAGS)
+PWD=$(shell pwd)
+
 export VERSION=$(shell sed -n '1s/.*(\(.*\)).*$$/\1/p' < debian/changelog )
 
 all: $(BINARY)
@@ -32,42 +37,57 @@
 	$(INSTALL_FILE) bash_completion.cowbuilder $(DESTDIR)/etc/bash_completion.d/cowbuilder
 
 libcowdancer.so: cowdancer.lo ilistcreate.lo
-	gcc -O2 -Wall -ldl -shared -o $@ $^
+	$(CC) $(CFLAGS) -ldl -shared -o $@ $^
 
 cow-shell: cow-shell.o ilistcreate.o
-	gcc -O2 -Wall -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^
 
 cowdancer-ilistcreate: cowdancer-ilistcreate.o ilistcreate.o
-	gcc -O2 -Wall -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^
 
 cowbuilder: cowbuilder.o parameter.o forkexec.o ilistcreate.o
-	gcc -O2 -Wall -o $@ $^
+	$(CC) $(CFLAGS) -o $@ $^
 
-qemubuilder: qemubuilder.o parameter.o forkexec.o
-	gcc -O2 -Wall -o $@ $^
+qemubuilder: qemubuilder.lfso parameter.lfso forkexec.lfso qemuipsanitize.lfso qemuarch.lfso file.lfso
+	$(CC) $(CFLAGS) -o $@ $^
 
 %.lo: %.c 
-	gcc -D_REENTRANT -fPIC $< -o $@ -c -Wall -O2 -g
+	$(CC) $(CFLAGS) -fPIC $< -o $@ -c
+
+%.lfso: %.c 
+	$(CC) $(CFLAGS_LFS) $< -o $@ -c
 
 %.o: %.c parameter.h
-	gcc $< -o $@ -c -Wall -O2 -g -fno-strict-aliasing -D LIBDIR="\"${LIBDIR}\""
+	$(CC) $(CFLAGS) $< -o $@ -c -D LIBDIR="\"${LIBDIR}\""
 
 clean: 
-	-rm -f *~ *.o *.lo $(BINARY)
+	-rm -f *~ *.o *.lo *.lfso $(BINARY)
+	-make -C initrd clean
 
 upload-dist-all:
 	scp ../cowdancer_$(VERSION).tar.gz aegis.netfort.gr.jp:public_html/software/downloads
 
-check:
-	set -e; set -o pipefail; for A in tests/???_*.sh; do echo $$A; bash $$A  2>&1 | \
+fastcheck:
+	set -e; set -o pipefail; for A in ./test_*.c; do echo $$A; \
+		./tests/run_c.sh $$A 2>&1 | \
+		tee tests/log/$${A/*\//}.log; done
+
+slowcheck: cowdancer-ilistdump qemubuilder cow-shell
+	# FIXME: The tests are running installed cowdancer, not the just-built
+	set -e; set -o pipefail; for A in tests/[0-9][0-9][0-9]_*.sh; \
+	do echo $$A; \
+	PATH="$(PWD):$(PWD)/tests:/usr/bin/:/bin" \
+	COWDANCER_SO=$(PWD)/libcowdancer.so \
+	bash $$A  2>&1 | \
 	sed -e's,/tmp/[^/]*,/tmp/XXXX,g' \
 	    -e "s,^Current time:.*,Current time: TIME," \
 	    -e "s,^pbuilder-time-stamp: .*,pbuilder-time-stamp: XXXX," \
 	    -e "s,^Fetched .*B in .*s (.*B/s),Fetched XXXB in Xs (XXXXXB/s)," \
 	| tee tests/log/$${A/*\//}.log; done
 
+check: fastcheck slowcheck
+
 check-syntax:
-	gcc -c -O2 -Wall $(CHK_SOURCES)  -o/dev/null -D LIBDIR="\"${LIBDIR}\""
+	$(CC) -c $(CFLAGS) $(CHK_SOURCES)  -o/dev/null -D LIBDIR="\"${LIBDIR}\""
 
-.PHONY: clean check upload-dist-all check-syntax
-
+.PHONY: clean check upload-dist-all check-syntax fastcheck slowcheck
