=== debian/changelog ===
cowdancer (0.56ubuntu3) karmic; urgency=low

  * Fix test_qemuarch.c test.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 21 Jul 2009 14:51:04 +0200

cowdancer (0.56ubuntu2) karmic; urgency=low

  * Fix FTBFS on lpia by modifying test_qemuarch.c to check 
    for "i386" | "lpia"

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 06 Jul 2009 01:51:05 +0200

cowdancer (0.56ubuntu1) karmic; urgency=low

  * Explicitly use bash as SHELL, the package FTBFS on dash. Patch by
    Stephane Glondu. (LP: #386058)
    Debian report: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=532444

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 11 Jun 2009 20:31:14 +0200

cowdancer (0.56) unstable; urgency=low

  * minor fix to grammer in cowbuilder.README.Debian (closes: #528559)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 May 2009 11:10:53 +0900

cowdancer (0.55) unstable; urgency=low

  * COWDANCER_DEBUG=1 sent some output to stdout which broke some cases,
    now outputs to stderr, which is more safe. (closes: #523575)
  * Now make check runs.
  * environment variable COWDANCER_SO specifies location of
    libcowdancer.so, default is /usr/lib/cowdancer/libcowdancer.so,
    useful for running tests on just-built cowdancer.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 13 Apr 2009 07:58:24 +0900

cowdancer (0.54) unstable; urgency=low

  * Really fix i386 qemubuilder; compile with LFS option.
  * Run 'make fastcheck' after build so that I know builds are reasonable.
    Running 'make slowcheck' needs a bit more work.
  * change bash completion
  * add work-around for udev bug #520742, add /etc/udev/disabled

 -- Junichi Uekawa <dancer@debian.org>  Fri, 10 Apr 2009 07:38:47 +0900

cowdancer (0.53) unstable; urgency=low

  * Fix i386 cowdancer, rollback to only use large file support for
    qemubuilder.  cowbuilder and cowdancer seem to need more changes to
    get LFS working. (closes: #520994)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 25 Mar 2009 08:57:45 +0900

cowdancer (0.52) unstable; urgency=low

  * Fix build error on i386. 
    libcowdancer cannot be built with LFS on i386. Disable LFS for now.
    (closes: #520861)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 23 Mar 2009 22:27:51 +0900

cowdancer (0.51) unstable; urgency=low

  * add largefile support flags so that qemubuilder works properly in
    32-bit mode. (closes: #520721)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 23 Mar 2009 08:32:54 +0900

cowdancer (0.50) unstable; urgency=low

  * add handling for inputfile / outputfile options, --inputfile is
    implemented.
  * do not use external resolv.conf inside qemu.
  * add 'quiet' option to kernel booting inside qemu.
  * Set the current time inside chroot for pbuilder create target as
    well.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 21 Mar 2009 11:08:44 +0900

cowdancer (0.49) unstable; urgency=low

  * qemubuilder: depend on debootstrap. (closes: #496077)
  * cowbuilder package: split out from cowdancer. cowdancer can be useful
    in more cases than cowbuilder. (closes: #459436)
    The two packages depend on both packages in order to not break
    backward compatibility.
  * Add a README.Debian for cowbuilder (closes: #496458)
  * Handle IPv4 'lo' device address (127.0.0.0) for --mirror option
    specially, so that they are translated to 10.0.2.2 inside qemu.
  * qemu: mount sysfs and devpts (closes: #511190)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 20 Feb 2009 22:11:22 +0900
