=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: cowdancer
 Section: utils
 Priority: optional
-Maintainer: Junichi Uekawa <dancer@debian.org>
-Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc]
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
+Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc], 
+	       libklibc-dev, klibc-utils, cpio, busybox-static
 Standards-Version: 3.7.2
 Vcs-Git: git://git.debian.org/git/pbuilder/cowdancer.git
 Vcs-Browser: http://git.debian.org/?p=pbuilder/cowdancer.git
 
 Package: cowdancer
 Architecture: any
-Depends: ${shlibs:Depends}, pbuilder
+# cowbuilder dependency is for backward compatibility, will be removed
+# after squeeze is released.
+Depends: ${shlibs:Depends}, cowbuilder
 Description: Copy-on-write directory tree utility.
  Tries to make copy-on-write semantics upon hard-link copied
  directory trees generated with 'cp -la'
@@ -20,12 +24,19 @@
  write.
  Useful for quick scratch workspace and experimentation.
  .
+ For a useful Debian tool, try cowbuilder.
+
+Package: cowbuilder
+Architecture: any
+Depends: ${shlibs:Depends}, pbuilder, cowdancer
+Replaces: cowdancer (<= 0.49)
+Description: pbuilder running on cowdancer
  'cowbuilder' command is a wrapper for pbuilder which allows using 
  pbuilder-like interface over cowdancer environment.
 
 Package: qemubuilder
 Architecture: i386 amd64 powerpc
-Depends: ${shlibs:Depends}, qemu | kvm, pbuilder (>= 0.174)
+Depends: ${shlibs:Depends}, qemu | kvm, pbuilder (>= 0.174), debootstrap
 Description: pbuilder using QEMU as backend
  pbuilder implementation for QEMU.
  .
