=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall -g -fno-strict-aliasing -D_REENTRANT
 INSTALL = install
 export INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
 export INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
@@ -31,7 +31,7 @@
 build-stamp:
 	dh_testdir
 	$(MAKE)
-	#$(MAKE) check
+	$(MAKE) check
 	touch build-stamp
 
 clean:
@@ -49,6 +49,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/cowdancer
 	dh_movefiles -pqemubuilder --sourcedir=debian/cowdancer
+	dh_movefiles -pcowbuilder --sourcedir=debian/cowdancer
 
 # Build architecture-independent files here.
 binary-indep: build install
