## cowdancer 0.61

=== debian/changelog ===
cowdancer (0.61) unstable; urgency=low

  * add --architecture option to qemubuilder and cowbuilder and support
    ARCHITECTURE option in pbuilderrc. (closes: #564796)
    ARCHITECTURE is preferred over ARCH option, but both options will work.
  * add basepath to cowbuilder bash_completion.
  * add basepath and architecture to bash completion for qemubuilder.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Jan 2010 23:30:35 +0900

cowdancer (0.60) unstable; urgency=low

  * cowbuilder: output a more helpful error message when flock/fchmod/fchown is
    called.
  * cowbuilder: call break_cowlink on templates.dat and password.dat. 
    (closes: #558832)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 02 Dec 2009 23:14:33 +0900

cowdancer (0.59) unstable; urgency=low

  [ Junichi Uekawa ]
  * cowbuilder fix "cannot lock DBdriver config" during parallel usage
    (closes: #553616)
  * qemubuilder: use malta architecture for mips and mipsel.
  * Update README.Debian for qemubuilder

 -- Junichi Uekawa <dancer@debian.org>  Sun, 29 Nov 2009 19:28:48 +0900

cowdancer (0.58) unstable; urgency=low

  * support --debbuildopts for cowbuilder (closes: #548209)
  * add debug message so that what's happening is more obvious.
  * make qemubuilder create output more descriptive error message on
    error to create file (closes: #551614)
  * Improve description for cowbuilder and qemubuilder (closes: #551365)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 01 Nov 2009 23:33:31 +0900

cowdancer (0.57) unstable; urgency=low

  [ Loïc Minier ]
  * Set SHELL=/bin/bash for pipefail; (closes: #532444)
  * Allow for lpia dpkg arch for __i386__ arches

  [ Junichi Uekawa ]
  * modify changelog spelling mistake.
  * add homepage for cowdancer and qemubuilder.
  * remove 'man .hy' typo from cowbuilder.8 (closes: #541820)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Aug 2009 22:24:06 +0900
