=== debian/changelog ===
cowdancer (0.62+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply fix to qemubuilder's mount problem (Closes: #564425)
    Thanks to Benoît Knecht, Gregor Herrmann and Martijn van Brummelen for
    working on the issue!

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 26 Nov 2010 16:16:26 +0100
