=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cowdancer
 Section: utils
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc], 
 	       libklibc-dev, klibc-utils, cpio, busybox-static
 Standards-Version: 3.7.2
@@ -14,6 +13,7 @@
 # cowbuilder dependency is for backward compatibility, will be removed
 # after squeeze is released.
 Depends: ${shlibs:Depends}, cowbuilder
+Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html
 Description: Copy-on-write directory tree utility.
  Tries to make copy-on-write semantics upon hard-link copied
  directory trees generated with 'cp -la'
@@ -33,10 +33,16 @@
 Description: pbuilder running on cowdancer
  'cowbuilder' command is a wrapper for pbuilder which allows using 
  pbuilder-like interface over cowdancer environment.
+ .
+ pbuilder is a tool for building and testing Debian package inside a clean
+ chroot, and cowbuilder allows chroot to be recreated using
+ hard-linked copies with copy-on-write, which makes creation and
+ destruction of chroots fast.
 
 Package: qemubuilder
 Architecture: i386 amd64 powerpc
 Depends: ${shlibs:Depends}, qemu | kvm, pbuilder (>= 0.174), debootstrap
+Homepage: http://wiki.debian.org/qemubuilder
 Description: pbuilder using QEMU as backend
  pbuilder implementation for QEMU.
  .
@@ -48,3 +54,8 @@
  .
  Gives a pbuilder interface for emulated cross-building environments
  using qemu.
+ .
+ pbuilder is a tool for building and testing Debian package inside a
+ clean chroot, and qemubuilder implements similar experience over
+ emulated CPUs. This tool allows building package inside emulated
+ Debian environment for different CPU architectures supported by qemu.
