## cowdancer 0.62+nmu2ubuntu1

=== debian/changelog ===
cowdancer (0.62+nmu2ubuntu1) natty; urgency=low

  * Fix linking with "ld --as-needed" by moving "-ldl" to the end of the
    linker call.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 04 Jan 2011 11:03:49 +0100
