=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cowdancer
 Section: utils
 Priority: optional
-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc], 
 	       libklibc-dev, klibc-utils, cpio, busybox-static
 Standards-Version: 3.7.2
