## cowdancer 0.64

=== debian/changelog ===
cowdancer (0.64) unstable; urgency=low

  [ Junichi Uekawa ]
  * change default to use arch diskdevice of sd; most arches probably
    switched to /dev/sda by now.
  * binary-arch support for cowbuilder and qemubuilder (closes: #623978,
    #631967)
  * fix spelling mistake (closes: #623971)

  [ Benoît Knecht ]
  * qemubuilder: low read/write performance on qemu block devices
    (closes: #600056)

  [ Mike Gabriel ]
  * adds --othermirror option functionality to qemubuilder 
    (closes: #624012) 

 -- Junichi Uekawa <dancer@debian.org>  Tue, 02 Aug 2011 07:19:33 +0900

cowdancer (0.63) unstable; urgency=low

  * Acknowledge NMUs. (closes: #597102, #564425)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 26 Jun 2011 09:21:02 +0900
