## cowdancer 0.65

=== debian/changelog ===
cowdancer (0.65) unstable; urgency=low

  [ Junichi Uekawa ]
  * remove cowbuilder-cowdancer loop dependency. (closes: #519130)

  [ David Paleino ]
  * update cowbuilder bash completion (closes: #546725)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 22 Sep 2011 11:29:48 +0900
