=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cowdancer
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends: debhelper (>> 4.0.0), pbuilder, qemu [i386 amd64 powerpc], 
 	       libklibc-dev, klibc-utils, cpio, busybox-static
 Standards-Version: 3.7.2
@@ -11,9 +10,7 @@
 
 Package: cowdancer
 Architecture: any
-# cowbuilder dependency is for backward compatibility, will be removed
-# after squeeze is released.
-Depends: ${shlibs:Depends}, cowbuilder
+Depends: ${shlibs:Depends}
 Homepage: http://www.netfort.gr.jp/~dancer/software/cowdancer.html
 Description: Copy-on-write directory tree utility.
  Tries to make copy-on-write semantics upon hard-link copied
