## cowdancer 0.65ubuntu1

=== debian/changelog ===
cowdancer (0.65ubuntu1) precise; urgency=low

  * Fix link order to list libraries after the objects that require them.
  * Use -pthread rather than -lpthread, since it should be a superset, it's
    what's recommended in pthread_create(3), and it isn't so sensitive to
    link order.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 14:57:27 +0000
