## cowdancer 0.66

=== debian/changelog ===
cowdancer (0.66) unstable; urgency=low

  [ Colin Watson ]
  * Bug#648438: cowdancer: FTBFS with ld that defaults to --as-needed:
    bad link order

  [ Junichi Uekawa ]
  * note down where 573126 happens.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 04 Dec 2011 22:44:38 +0900
